| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonAliasBody Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonAliasBody defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonAliasBody ()
| Default constructor.
eProsima_user_DllExport | ~CommonAliasBody ()
| Default destructor.
eProsima_user_DllExport | CommonAliasBody (const CommonAliasBody &x)
| Copy constructor.
eProsima_user_DllExport | CommonAliasBody (CommonAliasBody &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonAliasBody & | operator= (const CommonAliasBody &x)
| Copy assignment.
eProsima_user_DllExport CommonAliasBody & | operator= (CommonAliasBody &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonAliasBody &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonAliasBody &x) const
| Comparison operator.
eProsima_user_DllExport void | related_flags (const AliasMemberFlag &_related_flags)
| This function copies the value in member related_flags.
eProsima_user_DllExport void | related_flags (AliasMemberFlag &&_related_flags)
| This function moves the value in member related_flags.
eProsima_user_DllExport const AliasMemberFlag & | related_flags () const
| This function returns a constant reference to member related_flags.
eProsima_user_DllExport AliasMemberFlag & | related_flags ()
| This function returns a reference to member related_flags.
eProsima_user_DllExport void | related_type (const TypeIdentifier &_related_type)
| This function copies the value in member related_type.
eProsima_user_DllExport void | related_type (TypeIdentifier &&_related_type)
| This function moves the value in member related_type.
eProsima_user_DllExport const TypeIdentifier & | related_type () const
| This function returns a constant reference to member related_type.
eProsima_user_DllExport TypeIdentifier & | related_type ()
| This function returns a reference to member related_type.

## Detailed Description

This class represents the structure CommonAliasBody defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonAliasBody() [1/3]

eProsima_user_DllExport CommonAliasBody | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonAliasBody()

eProsima_user_DllExport ~CommonAliasBody | ( |  | ) |

inline

Default destructor.

## ◆ CommonAliasBody() [2/3]

eProsima_user_DllExport CommonAliasBody | ( | const CommonAliasBody & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonAliasBody that will be copied.

## ◆ CommonAliasBody() [3/3]

eProsima_user_DllExport CommonAliasBody | ( | CommonAliasBody && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonAliasBody that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonAliasBody & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonAliasBody object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonAliasBody & operator= | ( | CommonAliasBody && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonAliasBody that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonAliasBody & operator= | ( | const CommonAliasBody & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonAliasBody that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonAliasBody & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonAliasBody object to compare.

## ◆ related_flags() [1/4]

eProsima_user_DllExport AliasMemberFlag & related_flags | ( |  | ) |

inline

This function returns a reference to member related_flags.

Returns
  Reference to member related_flags

## ◆ related_flags() [2/4]

eProsima_user_DllExport const AliasMemberFlag & related_flags | ( |  | ) | const

inline

This function returns a constant reference to member related_flags.

Returns
  Constant reference to member related_flags

## ◆ related_flags() [3/4]

eProsima_user_DllExport void related_flags | ( | AliasMemberFlag && | _related_flags | ) |

inline

This function moves the value in member related_flags.

Parameters

  _related_flags | New value to be moved in member related_flags

## ◆ related_flags() [4/4]

eProsima_user_DllExport void related_flags | ( | const AliasMemberFlag & | _related_flags | ) |

inline

This function copies the value in member related_flags.

Parameters

  _related_flags | New value to be copied in member related_flags

## ◆ related_type() [1/4]

eProsima_user_DllExport TypeIdentifier & related_type | ( |  | ) |

inline

This function returns a reference to member related_type.

Returns
  Reference to member related_type

## ◆ related_type() [2/4]

eProsima_user_DllExport const TypeIdentifier & related_type | ( |  | ) | const

inline

This function returns a constant reference to member related_type.

Returns
  Constant reference to member related_type

## ◆ related_type() [3/4]

eProsima_user_DllExport void related_type | ( | const TypeIdentifier & | _related_type | ) |

inline

This function copies the value in member related_type.

Parameters

  _related_type | New value to be copied in member related_type

## ◆ related_type() [4/4]

eProsima_user_DllExport void related_type | ( | TypeIdentifier && | _related_type | ) |

inline

This function moves the value in member related_type.

Parameters

  _related_type | New value to be moved in member related_type

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp